
Name:           python-stomper
Version:        0.3.0
Release:        %mkrel 2
Summary:        A python client implementation of the STOMP protocol

Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/oisinmulvihill/stomper
Source0:        https://pypi.python.org/packages/source/s/stomper/stomper-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose


%description
This is a python client implementation of the STOMP protocol. The client is
attempting to be transport layer neutral. This module provides functions to
create and parse STOMP messages in a programatic fashion.

%prep
%setup -q -n stomper-%{version}

%build
%py2_build

%install
%py2_install
rm -rf $RPM_BUILD_ROOT%{python_sitelib}/stomper/examples
rm -rf $RPM_BUILD_ROOT%{python_sitelib}/stomper/tests

%check
PYTHONPATH=$(pwd) nosetests


%files
%doc lib/stomper/examples lib/stomper/tests
%{python2_sitelib}/*



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 971137
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 philippem <philippem> 0.3.0-1.mga6
+ Revision: 889345
- update to 0.3.0

* Wed Oct 15 2014 umeabot <umeabot> 0.2.8-5.mga5
+ Revision: 740849
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.8-4.mga5
+ Revision: 729840
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.8-3.mga5
+ Revision: 688356
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Sun Feb 23 2014 philippem <philippem> 0.2.8-1.mga5
+ Revision: 596003
- imported package python-stomper

